Bug 52926 - rcn sets empty search list in /etc/resolv.conf
Summary: rcn sets empty search list in /etc/resolv.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-30 21:42 UTC by Nalin Dahyabhai
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 21:47:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2001-08-30 21:42:50 UTC
Description of problem:

Version-Release number of selected component (if applicable):
0.7.10-1

How reproducible:
Always

Steps to Reproduce:
1.Go to the DNS tab.
2.Set a domain.
3.Remove entries from the "domain name" list.
4.Save settings.

Actual Results:
resolv.contains:
domain <domain I set>
search

Expected Results:
No "search" line in /etc/resolv.conf

Additional info:
The resolv.conf man page implies that this should screw name resolution
completely:
     The domain and search keywords are mutually exclusive.  If more than one
     instance of these keywords is present, the last instance wins.
But that appears (thankfully) to not be the case.

Comment 1 Phil Knirsch 2001-08-31 10:45:37 UTC
OK, fixed it in CVS. ConfEResolv class was broken, too (didn't remove empty
search paths :(.

The question might be if we might consider only supporting search paths, but
thats something for the next cycle i guess.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.